org.eclipse.rap.rwt.client

## Interface ClientFile

    public interface ClientFile

Represents a file on the client.

Since:
  2.3
See Also:
  `ClientFileUploader`

### Method Summary

Methods
`java.lang.String` `getName()` The name of the file on the client, without path information.
`long` `getSize()` Returns the size of the File on the client.
`java.lang.String` `getType()` The string in lower case representing the MIME type of the file.

### Method Detail

#### getName

    java.lang.String getName()

The name of the file on the client, without path information. If the client can not determine the file name the string will be empty.

Returns:
  the file name as a string. May be empty, but never `null`.

#### getType

    java.lang.String getType()

The string in lower case representing the MIME type of the file. If the client can not determine the file type the string will be empty.

Returns:
  the type of the file. May be empty, but never `null`.

#### getSize

    long getSize()

Returns the size of the File on the client.

Returns:
  the size in bytes.

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0